(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*                                                                       *)
(*  This file was created under the Wolfram Enterprise licensing terms.  *)
(*                                                                       *)
(*       For additional information concerning CDF licensing see:        *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*                                                                       *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[      3225,        119]
NotebookOptionsPosition[      3442,        101]
NotebookOutlinePosition[      3869,        120]
CellTagsIndexPosition[      3826,        117]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters from web page:", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}], ",", 
    RowBox[{"color", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"(", 
       RowBox[{"\"\<color\>\"", "/.", 
        RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}]}], 
       ")"}], "]"}]}], ",", 
    RowBox[{"size", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"(", 
       RowBox[{"\"\<size\>\"", "/.", 
        RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}]}], 
       ")"}], "]"}]}]}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 DynamicBox[ToBoxes[{
    CurrentValue["PluginParameters"], $CellContext`color = ToExpression[
      ReplaceAll["color", 
       CurrentValue["PluginParameters"]]], $CellContext`size = ToExpression[
      ReplaceAll["size", 
       CurrentValue["PluginParameters"]]]}, StandardForm],
  ImageSizeCache->{92., {4., 10.}}]], "Output"]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameters applied in this example (color and size):", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"color", "=", "Green"}], ";", 
  RowBox[{"size", "=", "300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"color", ",", 
       RowBox[{"Rectangle", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], "Input"],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Graphics[{$CellContext`color, 
     Rectangle[]}, ImageSize -> $CellContext`size], StandardForm],
  ImageSizeCache->{300., {148., 152.}}]], "Output"]
}, {2}]],

Cell["\<\
Parameters are always derived as strings and need to be converted to values \
where needed.\
\>", "Text"]
}, Open  ]]
},
WindowSize->{808, 911},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
TrackCellChangeTimes->False,
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 50, 0, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1561, 39, 609, 16, 63, "Input"],
Cell[2173, 57, 345, 7, 31, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2564, 70, 77, 0, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[2666, 74, 443, 12, 46, "Input"],
Cell[3112, 88, 187, 4, 315, "Output"]
}, {2}]],
Cell[3311, 95, 115, 3, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature PV#TV4Lum1TXmXjQJyLuipZt *)
