(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14112,        396]
NotebookOptionsPosition[     13048,        350]
NotebookOutlinePosition[     13637,        376]
CellTagsIndexPosition[     13535,        370]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Interactive example:", "Subsection",
 CellChangeTimes->{{3.6230047753179083`*^9, 3.623004778739972*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"logo", "=", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Graphics", "[", 
     RowBox[{"Rotate", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Rotate", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"EvenQ", "[", "i", "]"}], ",", "Black", ",", "White"}],
               "]"}], ",", 
             RowBox[{"Disk", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"EvenQ", "[", "i", "]"}], ",", "0", ",", 
                   RowBox[{"Rescale", "[", 
                    RowBox[{"i", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "n"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"d", "/", "n"}], ")"}], " ", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}], "]"}]}], "}"}], 
               ",", 
               RowBox[{"Rescale", "[", 
                RowBox[{"i", ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "n"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "r"}], "}"}]}], "]"}]}], "]"}]}], "}"}], 
           ",", 
           RowBox[{"2", " ", "\[Pi]", " ", "tw", " ", 
            RowBox[{"(", 
             RowBox[{"i", "/", "n"}], ")"}]}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}], ",", "or", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n", ",", "31", ",", "\"\<resolution\>\""}], "}"}], ",", "1", 
      ",", "51"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "1", ",", "\"\<displacement\>\""}], "}"}], ",", 
      RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", "0", ",", "\"\<radius\>\""}], "}"}], ",", "0", ",", 
      "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tw", ",", "0", ",", " ", "\"\<twist\>\""}], "}"}], ",", "0", 
      ",", "10"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"or", ",", "0", ",", "\"\<orientation\>\""}], "}"}], ",", 
      RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.623003881065071*^9, 3.623003911906434*^9}, {
  3.6230040627047863`*^9, 3.6230042299706507`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 1, $CellContext`n$$ = 
    31, $CellContext`or$$ = 0, $CellContext`r$$ = 0, $CellContext`tw$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 31, "resolution"}, 1, 51}, {{
       Hold[$CellContext`d$$], 1, "displacement"}, -10, 10}, {{
       Hold[$CellContext`r$$], 0, "radius"}, 0, 1}, {{
       Hold[$CellContext`tw$$], 0, "twist"}, 0, 10}, {{
       Hold[$CellContext`or$$], 0, "orientation"}, -Pi, Pi}}, 
    Typeset`size$$ = {360., {177., 182.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`n$4469$$ =
     0, $CellContext`d$4470$$ = 0, $CellContext`r$4471$$ = 
    0, $CellContext`tw$4472$$ = 0, $CellContext`or$4473$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 1, $CellContext`n$$ = 
        31, $CellContext`or$$ = 0, $CellContext`r$$ = 0, $CellContext`tw$$ = 
        0}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4469$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$4470$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$4471$$, 0], 
        Hold[$CellContext`tw$$, $CellContext`tw$4472$$, 0], 
        Hold[$CellContext`or$$, $CellContext`or$4473$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[
        Rotate[
         Table[
          Rotate[{
            If[
             EvenQ[$CellContext`i], Black, White], 
            Disk[{0, 
              If[
               EvenQ[$CellContext`i], 0, 
               Rescale[$CellContext`i, {
                0, $CellContext`n$$}, ($CellContext`d$$/$CellContext`n$$) {
                 1, -1}]]}, 
             
             Rescale[$CellContext`i, {0, $CellContext`n$$}, {
              1, $CellContext`r$$}]]}, ((2 
             Pi) $CellContext`tw$$) ($CellContext`i/$CellContext`n$$), {0, 
           0}], {$CellContext`i, 0, $CellContext`n$$}], $CellContext`or$$, {0,
          0}]], "Specifications" :> {{{$CellContext`n$$, 31, "resolution"}, 1,
          51}, {{$CellContext`d$$, 1, "displacement"}, -10, 
         10}, {{$CellContext`r$$, 0, "radius"}, 0, 
         1}, {{$CellContext`tw$$, 0, "twist"}, 0, 
         10}, {{$CellContext`or$$, 0, "orientation"}, -Pi, Pi}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {277., 282.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.623004050190391*^9, 3.623004192581533*^9, 
  3.62300423168433*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deploy directly to cloud:", "Subsection",
 CellChangeTimes->{{3.6230047093512163`*^9, 3.623004720061542*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CloudDeploy", "[", "logo", "]"}]], "Input",
 CellChangeTimes->{{3.623004235536972*^9, 3.623004255712698*^9}},
 CellTags->"CloudDeploy"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"CloudObject", "[", 
   TagBox[
    ButtonBox[
     PaneSelectorBox[{
      False->"\<\"https://www.wolframcloud.com/objects/1d477016-e108-4e9e-\
ba11-c230f58d726d\"\>", True->
      StyleBox["\<\"https://www.wolframcloud.com/objects/1d477016-e108-4e9e-\
ba11-c230f58d726d\"\>", "HyperlinkActive"]}, Dynamic[
       CurrentValue["MouseOver"]],
      BaseStyle->{"Hyperlink"},
      FrameMargins->0,
      ImageSize->Automatic],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL[
       "https://www.wolframcloud.com/objects/1d477016-e108-4e9e-ba11-\
c230f58d726d"], None},
     ButtonNote->
      "https://www.wolframcloud.com/objects/1d477016-e108-4e9e-ba11-\
c230f58d726d"],
    Annotation[#, 
     "https://www.wolframcloud.com/objects/1d477016-e108-4e9e-ba11-\
c230f58d726d", "Hyperlink"]& ], "]"}],
  CloudObject[
  "https://www.wolframcloud.com/objects/1d477016-e108-4e9e-ba11-c230f58d726d"],
  SelectWithContents->True]], "Output",
 CellChangeTimes->{3.623004271476199*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Derive embed code for insertion in website:", "Subsection",
 CellChangeTimes->{{3.6230047362618637`*^9, 3.6230047674844313`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"EmbedCode", "[", 
  RowBox[{"CloudDeploy", "[", "logo", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.623004592186796*^9, 3.623004609373187*^9}, 
   3.623004686466791*^9},
 CellTags->"EmbedCode"],

Cell[BoxData[
 InterpretationBox[
  FrameBox[
   PanelBox[
    TagBox[GridBox[{
       {
        StyleBox["\<\"Embeddable Code\"\>", "ControlStyle",
         StripOnInput->False,
         FontSize->Larger,
         FontWeight->Bold,
         FontColor->GrayLevel[0.3]]},
       {
        StyleBox["\<\"Use the code below to call the Wolfram Cloud function \
from HTML:\"\>",
         StripOnInput->False,
         FontColor->RGBColor[0.23, 0.23, 0.23]]},
       {
        FrameBox[
         TagBox[GridBox[{
            {
             TagBox[GridBox[{
                {
                 TagBox[GridBox[{
                    {
                    StyleBox["\<\"Code\"\>", "ControlStyle",
                    StripOnInput->False,
                    FontWeight->Bold,
                    FontColor->RGBColor[0.33, 0.33, 0.33]]},
                    {
                    StyleBox["\<\"\"\>",
                    StripOnInput->False,
                    FontColor->RGBColor[0.33, 0.33, 0.33]]}
                   },
                   DefaultBaseStyle->"Column",
                   GridBoxAlignment->{"Columns" -> {{Left}}},
                   
                   GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
                  "Column"], 
                 ItemBox[
                  ButtonBox["\<\"Copy to Clipboard\"\>",
                   
                   Appearance:>FEPrivate`FrontEndResource[
                    "FEExpressions", "GrayButtonNinePatchAppearance"],
                   BaseStyle->"DialogStyle",
                   
                   ButtonFunction:>CopyToClipboard[
                    "<iframe \
src=\"https://www.wolframcloud.com/objects/b72cf8ca-000d-4f0f-ac3c-\
eeda61895b08?_embed=iframe\" width=\"600\" height=\"800\" />"],
                   Evaluator->Automatic,
                   FrameMargins->{{10, 10}, {0, 0}},
                   ImageSize->Automatic,
                   Method->"Queued"],
                  Alignment->Right,
                  StripOnInput->False]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
               GridBoxItemSize->{"Columns" -> {{Fit}}, "Rows" -> {{Fit}}}],
              "Grid"]},
            {
             FrameBox[
              PaneBox[Cell["\<\
<iframe src=\"https://www.wolframcloud.com/objects/b72cf8ca-000d-4f0f-ac3c-\
eeda61895b08?_embed=iframe\" width=\"600\" height=\"800\" />\
\>",
                Editable->False,
                Deployed->False],
               AppearanceElements->{},
               ImageSize->{
                 Scaled[1], 60},
               Scrollbars->Automatic],
              Background->GrayLevel[1],
              BaseStyle->"StandardForm",
              FrameStyle->RGBColor[0.69, 0.69, 0.69],
              StripOnInput->False]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           GridBoxItemSize->{"Columns" -> {{Fit}}, "Rows" -> {{Fit}}},
           GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {0.2, {0.5}}}],
          "Column"],
         Background->RGBColor[0.96, 0.96, 0.96],
         FrameMargins->{{14, 14}, {14, 10}},
         FrameStyle->RGBColor[0.69, 0.69, 0.69],
         StripOnInput->False]}
      },
      DefaultBaseStyle->"Column",
      GridBoxAlignment->{"Columns" -> {{Left}}},
      GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings->{"Columns" -> {{0}}, "Rows" -> {0.3, 0.4, 0.8, 1.5}}],
     "Column"],
    Background->RGBColor[0.87, 0.87, 0.87],
    BaseStyle->{"Deploy"},
    ImageSize->630],
   Background->RGBColor[0.87, 0.87, 0.87],
   FrameMargins->{{2, 2}, {1, 1}},
   FrameStyle->RGBColor[0.76, 0.76, 0.76],
   RoundingRadius->6,
   StripOnInput->False],
  EmbeddingObject[
   Association[
   "EnvironmentName" -> "HTML", "CodeSection" -> 
    Association[
     "Content" -> 
      "<iframe src=\"https://www.wolframcloud.com/objects/b72cf8ca-000d-4f0f-\
ac3c-eeda61895b08?_embed=iframe\" width=\"600\" height=\"800\" />", "Title" -> 
      Automatic, "Filename" -> "cloudembed.html"], "CloudObject" -> 
    CloudObject[
     "https://www.wolframcloud.com/objects/b72cf8ca-000d-4f0f-ac3c-\
eeda61895b08"]]]]], "Output",
 CellChangeTimes->{3.623004688646988*^9}]
}, Open  ]]
}, Closed]]
},
WindowSize->{846, 957},
WindowMargins->{{157, Automatic}, {Automatic, 124}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 20, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "CloudDeploy"->{
  Cell[7049, 183, 159, 3, 28, "Input",
   CellTags->"CloudDeploy"]},
 "EmbedCode"->{
  Cell[8453, 227, 219, 5, 28, "Input",
   CellTags->"EmbedCode"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"CloudDeploy", 13360, 361},
 {"EmbedCode", 13445, 364}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 110, 1, 44, "Subsection"],
Cell[CellGroupData[{
Cell[715, 27, 2862, 77, 165, "Input"],
Cell[3580, 106, 3280, 66, 576, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6909, 178, 115, 1, 44, "Subsection"],
Cell[CellGroupData[{
Cell[7049, 183, 159, 3, 28, "Input",
 CellTags->"CloudDeploy"],
Cell[7211, 188, 1033, 28, 31, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[8293, 222, 135, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[8453, 227, 219, 5, 28, "Input",
 CellTags->"EmbedCode"],
Cell[8675, 234, 4345, 112, 205, "Output"]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
