(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4134,        131]
NotebookOptionsPosition[      3513,        103]
NotebookOutlinePosition[      3872,        119]
CellTagsIndexPosition[      3829,        116]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters from web page:", "Subsubsection",
 CellChangeTimes->{{3.615919483599716*^9, 3.615919540998115*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dynamic", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}], ",", 
    RowBox[{"color", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"(", 
       RowBox[{"\"\<color\>\"", "/.", 
        RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}]}], 
       ")"}], "]"}]}], ",", 
    RowBox[{"size", "=", 
     RowBox[{"ToExpression", "[", 
      RowBox[{"(", 
       RowBox[{"\"\<size\>\"", "/.", 
        RowBox[{"CurrentValue", "[", "\"\<PluginParameters\>\"", "]"}]}], 
       ")"}], "]"}]}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.575629852131542*^9, 3.5756298547798758`*^9}, {
  3.5756298861398487`*^9, 3.575629890866448*^9}, {3.61591872558748*^9, 
  3.615918748251461*^9}, {3.6159205218159933`*^9, 3.615920553050577*^9}}],

Cell[BoxData[
 DynamicBox[ToBoxes[{
    CurrentValue["PluginParameters"], $CellContext`color = ToExpression[
      ReplaceAll["color", 
       CurrentValue["PluginParameters"]]], $CellContext`size = ToExpression[
      ReplaceAll["size", 
       CurrentValue["PluginParameters"]]]}, StandardForm],
  ImageSizeCache->{92., {4., 10.}}]], "Output",
 CellChangeTimes->{
  3.615918451639813*^9, {3.61592054284875*^9, 3.615920553371275*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameters applied in this example (color and size):", "Subsubsection",
 CellChangeTimes->{{3.6159194940874443`*^9, 3.615919536438958*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"color", "=", "Green"}], ";", 
  RowBox[{"size", "=", "300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Dynamic", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"color", ",", 
       RowBox[{"Rectangle", "[", "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "size"}]}], "]"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6159193341041317`*^9, 3.6159194613459578`*^9}, {
   3.615920357036037*^9, 3.615920371443755*^9}, {3.615920565165402*^9, 
   3.6159205727604723`*^9}, {3.623525977773348*^9, 3.623526019785494*^9}, 
   3.62352612208071*^9, {3.623526421785061*^9, 3.623526440244913*^9}, {
   3.623526571554821*^9, 3.623526572668221*^9}}],

Cell[BoxData[
 DynamicBox[ToBoxes[
   Graphics[{$CellContext`color, 
     Rectangle[]}, ImageSize -> $CellContext`size], StandardForm],
  ImageSizeCache->{300., {148., 152.}}]], "Output",
 CellChangeTimes->{3.615920595181299*^9, 3.622999447060225*^9, 
  3.623526021186599*^9, 3.623526124461425*^9, 3.623526425082033*^9}]
}, {2}]],

Cell["\<\
Parameters are always derived as strings and need to be converted to values \
where needed.\
\>", "Text",
 CellChangeTimes->{{3.615920405794277*^9, 3.615920434064619*^9}}]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{Automatic, 850}, {34, Automatic}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 116, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[721, 27, 824, 19, 63, "Input"],
Cell[1548, 48, 435, 9, 31, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2029, 63, 145, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[2199, 68, 782, 17, 46, "Input"],
Cell[2984, 87, 320, 6, 315, "Output"]
}, {2}]],
Cell[3316, 96, 181, 4, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
